# insert-before

Insert an item into a sequence

insert-before($target as item()*, $position as xs:integer, $inserts as item()*) → item()*

Arguments
| $target | item()* | Input sequence, into which new values are inserted
| $position | xs:integer | The position of the item before which the new values are inserted
| $inserts | item()* | The values to be inserted into the sequence
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next